Package net.sf.saxon.event

## Enum RegularSequenceChecker.State

- java.lang.Object
- - java.lang.Enum<RegularSequenceChecker.State>
  - - net.sf.saxon.event.RegularSequenceChecker.State

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RegularSequenceChecker.State>`
  Enclosing class:
    RegularSequenceChecker

      public static enum RegularSequenceChecker.State
      extends java.lang.Enum<RegularSequenceChecker.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Content` |
    `Failed` |
    `Final` |
    `Initial` |
    `Open` |
    `StartTag` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RegularSequenceChecker.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RegularSequenceChecker.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Initial

          public static final RegularSequenceChecker.State Initial

    - #### Open

          public static final RegularSequenceChecker.State Open

    - #### StartTag

          public static final RegularSequenceChecker.State StartTag

    - #### Content

          public static final RegularSequenceChecker.State Content

    - #### Final

          public static final RegularSequenceChecker.State Final

    - #### Failed

          public static final RegularSequenceChecker.State Failed

  - ### Method Detail

    - #### values

          public static RegularSequenceChecker.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegularSequenceChecker.State c : RegularSequenceChecker.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegularSequenceChecker.State valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null